summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xMaster/bin/win32/symlinks4cygwin.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/Master/bin/win32/symlinks4cygwin.sh b/Master/bin/win32/symlinks4cygwin.sh
new file mode 100755
index 00000000000..bdcbd44edd5
--- /dev/null
+++ b/Master/bin/win32/symlinks4cygwin.sh
@@ -0,0 +1,49 @@
+#! /bin/sh
+# $ Id: $
+# symlinks4cygwin.sh
+# Create symlinks on Cygwin systems.
+
+die () { echo "$1" 1>&2 ; exit 1; }
+
+bindir=`kpsewhich --var-value=SELFAUTOLOC`
+cd $bindir || die "Can't cd $bindir"
+
+ln -s ../../texmf/scripts/a2ping/a2ping.pl a2ping
+ln -s ../../texmf-dist/scripts/context/stubs/unix/context context
+ln -s ../../texmf-dist/scripts/dviasm/dviasm.py dviasm
+ln -s ../../texmf/scripts/tetex/e2pall.pl e2pall
+ln -s ../../texmf-dist/scripts/bengali/ebong.py ebong
+ln -s ../../texmf-dist/scripts/epspdf/epspdf epspdf
+ln -s ../../texmf-dist/scripts/epspdf/epspdftk epspdftk
+ln -s ../../texmf/scripts/epstopdf/epstopdf.pl epstopdf
+ln -s ../../texmf/scripts/texlive/getnonfreefonts.pl getnonfreefonts
+ln -s ../../texmf-dist/scripts/tex4ht/ht.sh ht
+ln -s ../../texmf-dist/scripts/tex4ht/htcontext.sh htcontext
+ln -s ../../texmf-dist/scripts/tex4ht/htlatex.sh htlatex
+ln -s ../../texmf-dist/scripts/tex4ht/htmex.sh htmex
+ln -s ../../texmf-dist/scripts/tex4ht/httex.sh httex
+ln -s ../../texmf-dist/scripts/tex4ht/httexi.sh httexi
+ln -s ../../texmf-dist/scripts/tex4ht/htxelatex.sh htxelatex
+ln -s ../../texmf-dist/scripts/tex4ht/htxetex.sh htxetex
+ln -s ../../texmf-dist/scripts/glossaries/makeglossaries makeglossaries
+ln -s ../../texmf-dist/scripts/tex4ht/mk4ht.pl mk4ht
+ln -s ../../texmf-dist/scripts/mkjobtexmf/mkjobtexmf.pl mkjobtexmf
+ln -s ../../texmf-dist/scripts/context/stubs/unix/mtxrun mtxrun
+ln -s ../../texmf-dist/scripts/oberdiek/pdfatfi.pl pdfatfi
+ln -s ../../texmf-dist/scripts/pdfcrop/pdfcrop.pl pdfcrop
+ln -s ../../texmf-dist/scripts/ppower4/pdfthumb.texlua pdfthumb
+ln -s ../../texmf-dist/scripts/perltex/perltex.pl perltex
+ln -s ../../texmf/scripts/pkfix/pkfix.pl pkfix
+ln -s ../../texmf-dist/scripts/ppower4/ppower4.texlua ppower4
+ln -s ../../texmf/scripts/ps2eps/ps2eps.pl ps2eps
+ln -s ../../texmf-dist/scripts/pst-pdf/ps4pdf ps4pdf
+ln -s ../../texmf/scripts/texlive/rungs.tlu rungs
+ln -s ../../texmf/scripts/simpdftex/simpdftex simpdftex
+ln -s ../../texmf-dist/scripts/texcount/TeXcount.pl texcount
+ln -s ../../texmf/scripts/texlive/texdoc.tlu texdoc
+ln -s ../../texmf/scripts/tetex/texdoctk.pl texdoctk
+ln -s ../../texmf/scripts/xindy/texindy.pl texindy
+ln -s ../../texmf-dist/scripts/thumbpdf/thumbpdf.pl thumbpdf
+ln -s ../../texmf/scripts/texlive/tlmgr.pl tlmgr
+ln -s ../../texmf-dist/scripts/vpe/vpe.pl vpe
+ln -s ../../texmf/scripts/xindy/xindy.pl xindy